Modify

Opened 8 years ago

Closed 4 years ago

Last modified 4 years ago

#6156 closed defect (fixed)

F@ST2404 : Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

Reported by: vukitz@… Owned by: developers
Priority: highest Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: Cc:

Description

see end of log.. it's the interesting part

Sagem CLI> e a
Erase all flash (except bootrom)? (y/n):y
No image tag found.  Erase the blocks start at [16]
..............................................................................................
Enter writeNvramData(CFE)
Enter kerSysNvRamSet(CFE)
kerSysNvRamSet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Use default boot line parameters: e=192.168.1.1:ffffff00 h=192.168.1.100 g= r=f f=vmlinux i=b 
Enter writeNvramData(CFE)
Enter kerSysNvRamSet(CFE)
kerSysNvRamSet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  

Resetting board...�

Sagem CFE version: 3.13.5
Build Date: Mon May 14 17:56:09 CST 2007 (shenmc@svr1.sagemharbournetworks.com)
Copyright (C) 2005-2006 Sagem communication.

Boot Address 0xbfc00000

Initializing Arena.
Initializing Devices.
Parallel flash device: name SST39VF3201, id 0x235b, size 4096KB
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  

** Image information not found. **

Enter kerSysPsiSet(CFE): strLen[24576],offset[0],fInfo.flash_persistent_blk_offset=[0]
Psi[1-10]=[������]
CPU type 0x29107: 256MHz, Bus: 128MHz, Ref: 32MHz
Total memory: 16777216 bytes (16MB)

Total memory used by CFE:  0x80401000 - 0x80528470 (1209456)
Initialized Data:          0x8041EAE0 - 0x80421AB0 (12240)
BSS Area:                  0x80421AB0 - 0x80426470 (18880)
Local Heap:                0x80426470 - 0x80526470 (1048576)
Stack Area:                0x80526470 - 0x80528470 (8192)
Text (code) segment:       0x80401000 - 0x8041EAD8 (121560)
Boot area (physical):      0x00529000 - 0x00569000
Relocation Factor:         I:00000000 - D:00000000

Enter kerSysPsiSet(CFE): strLen[24576],offset[0],fInfo.flash_persistent_blk_offset=[0]
Psi[1-10]=[����������]
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Board IP address                  : 192.168.1.1:ffffff00  
Host IP address                   : 192.168.1.100  
Gateway IP address                :   
Run from flash/host (f/h)         : f  
Default host run file name        : vmlinux  
Default host flash file name      : bcm963xx_fs_kernel  
Boot delay (0-9 seconds)          : 1  
Board Id Name                     : F@ST2404  
Psi size in KB                    : 24
Number of MAC Addresses (1-32)    : 11  
Base MAC Address                  : 00:19:4b:b4:dd:aa  
Ethernet PHY Type                 : Internal
Memory size in MB                 : 16
CMT Thread Number                 : 0
Customer Name                     :SAGM(default)

web info: Waiting for connection on socket 0.
Sagem CLI> c
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Press:  <enter> to use current value
        '-' to go previous parameter
        '.' to clear the current value
        'x' to exit this command
Board IP address                  :  192.168.1.1:ffffff00  192.168.2.1
Host IP address                   :  192.168.1.100  192.168.2.34
Gateway IP address                :  
Run from flash/host (f/h)         :  f  
Default host run file name        :  vmlinux  
Default host flash file name      :  bcm963xx_fs_kernel  
Boot delay (0-9 seconds)          :  1  
Enter writeNvramData(CFE)
Enter kerSysNvRamSet(CFE)
kerSysNvRamSet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
*** command status = 0
web info: Waiting for connection on socket 1.
web info: Waiting for connection on socket 0.
verifyConfigurationFile: Waiting for connection on socket .

web info: Upload 2555908 bytes, Broadcom image format.
Sagem CLI> 
Flashing root file system and kernel at 0xbfc10000: ..........................................

.
*** Image flash done *** !
web info: Waiting for connection on socket 1.
Sagem CLI> reset

Sagem CFE version: 3.13.5
Build Date: Mon May 14 17:56:09 CST 2007 (shenmc@svr1.sagemharbournetworks.com)
Copyright (C) 2005-2006 Sagem communication.

Boot Address 0xbfc00000

Initializing Arena.
Initializing Devices.
Parallel flash device: name SST39VF3201, id 0x235b, size 4096KB
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
CPU type 0x29107: 256MHz, Bus: 128MHz, Ref: 32MHz
Total memory: 16777216 bytes (16MB)

Total memory used by CFE:  0x80401000 - 0x80528470 (1209456)
Initialized Data:          0x8041EAE0 - 0x80421AB0 (12240)
BSS Area:                  0x80421AB0 - 0x80426470 (18880)
Local Heap:                0x80426470 - 0x80526470 (1048576)
Stack Area:                0x80526470 - 0x80528470 (8192)
Text (code) segment:       0x80401000 - 0x8041EAD8 (121560)
Boot area (physical):      0x00529000 - 0x00569000
Relocation Factor:         I:00000000 - D:00000000

Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Board IP address                  : 192.168.2.1  
Host IP address                   : 192.168.2.34  
Gateway IP address                :   
Run from flash/host (f/h)         : f  
Default host run file name        : vmlinux  
Default host flash file name      : bcm963xx_fs_kernel  
Boot delay (0-9 seconds)          : 1  
Board Id Name                     : F@ST2404  
Psi size in KB                    : 24
Number of MAC Addresses (1-32)    : 11  
Base MAC Address                  : 00:19:4b:b4:dd:aa  
Ethernet PHY Type                 : Internal
Memory size in MB                 : 16
CMT Thread Number                 : 0
Customer Name                     :SAGM(default)

*** Press any key to stop auto run (1 seconds) ***
Auto run second count down: 0
Code Address: 0x80010000, Entry Address: 0x80010000
Decompression OK!
Entry at 0x80010000
Closing network.
Starting program at 0x80010000
Linux version 2.6.30.9 (buildbot@tesla) (gcc version 4.3.3 (GCC) ) #1 Thu Nov 12 00:25:52 UTC9
Detected Broadcom 0x6348 CPU revision b0
CPU frequency is 256000000 Hz
16MB of RAM installed
registering 37 GPIOs
board_bcm963xx: CFE version: 0.51.46-49.51
console [early0] enabled
CPU revision is: 00029107 (Broadcom BCM6348)
board_bcm963xx: board name: F@ST2404
Determined physical RAM map:
 memory: 01000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00001000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00001000
Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,1150
Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
NR_IRQS:128
PID hash table entries: 64 (order: 6, 256 bytes)
Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Memory: 13092k/16384k available (2158k kernel code, 3292k reserved, 518k data, 132k init, 0k )
Calibrating delay loop... 254.97 BogoMIPS (lpj=509952)
Mount-cache hash table entries: 512
net_namespace: 1012 bytes
NET: Registered protocol family 16
registering PCI controller with io_map_base unset
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
pci 0000:01:1e.0: CardBus bridge, secondary bus 0000:02
pci 0000:01:1e.0:   IO window: 0x8008000-0x80080ff
pci 0000:01:1e.0:   IO window: 0x8008400-0x80084ff
pci 0000:01:1e.0:   MEM window: 0x38000000-0x3fffffff
PCI: Enabling device 0000:01:1e.0 (0000 -> 0003)
PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 512 (order: 0, 4096 bytes)
TCP bind hash table entries: 512 (order: -1, 2048 bytes)
TCP: Hash tables configured (established 512 bind 512)
TCP reno registered
NET: Registered protocol family 1
audit: initializing netlink socket (disabled)
type=2000 audit(0.356:1): initialized
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  �© 2001-2006 Red Hat, Inc.
msgmni has been set to 25
alg: No test for stdrng (krng)
io scheduler noop registered
io scheduler deadline registered (default)
gpiodev: gpio device registered with major 254
gpiodev: gpio platform device registered with access mask FFFFFFFF
bcm63xx_uart.0: ttyS0 at MMIO 0xfffe0300 (irq = 10) is a bcm63xx_uart
console handover: boot [early0] -> real [ttyS0]
bcm63xx_enet MII bus: probed
bcm963xx_flash: 0x00400000 at 0x1fc00000
bcm963xx_flash: Failed to probe using CFI
bcm963xx-flash: probe of bcm963xx-flash.0 failed with error -5
bcm63xx_wdt started, timer margin: 30 sec
Registered led device: <NULL>
leds-gpio: probe of leds-gpio.0 failed with error -16
TCP westwood registered
NET: Registered protocol family 17
Bridge firewalling registered
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Cannot open root device "mtdblock2" or unknown-block(0,0)
Please append a correct "root=" boot option; here are the available partitions:
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

Attachments (0)

Change History (19)

comment:1 follow-ups: Changed 8 years ago by florian

You probably need to probe for another flash method than cfi, please change cfi_probe in target/linux/brcm63xx/files/drivers/mtd/maps/bcm963xx-flash.c to jedec_probe and have a try at this.

comment:2 in reply to: ↑ 1 Changed 8 years ago by anonymous

I have the same for x86 target

AMD Geode RNG detected                                                          
Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled                        
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A                          
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A                          
scsi0 : pata_amd                                                                
scsi1 : pata_amd                                                                
ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0xff00 irq 14                 
ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0xff08 irq 15                 
PNP: No PS/2 controller found. Probing ports directly.                          
i8042.c: No controller found.                                                   
mice: PS/2 mouse device common for all mice                                     
TCP westwood registered                                                         
NET: Registered protocol family 17                                              
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>                   
All bugs added by David S. Miller <davem@redhat.com>                            
Using IPI Shortcut mode                                                         
VFS: Cannot open root device "sda2" or unknown-block(0,0)                       
Please append a correct "root=" boot option; here are the available partitions: 
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)  
Pid: 1, comm: swapper Not tainted 2.6.31.5 #1                                   
Call Trace:                                                                     
 [<c101f6c7>] ? panic+0x47/0xf0                                                 
 [<c12b7b10>] ? mount_block_root+0x1d0/0x270                                    
 [<c1002930>] ? do_notify_resume+0x3f0/0x910                                    
 [<c12b7bf7>] ? mount_root+0x47/0x60                                            
 [<c12b7d15>] ? prepare_namespace+0x105/0x140                                   
Clocksource tsc unstable (delta = 89985171 ns)                                  
 [<c12b7222>] ? do_initcalls+0x12/0x20                                          
 [<c12b75cf>] ? kernel_init+0x10f/0x120                                         
 [<c12b74c0>] ? kernel_init+0x0/0x120                                           
 [<c1003813>] ? kernel_thread_helper+0x7/0x14

comment:3 in reply to: ↑ 1 Changed 8 years ago by vukitz@…

Replying to florian:

You probably need to probe for another flash method than cfi, please change cfi_probe in target/linux/brcm63xx/files/drivers/mtd/maps/bcm963xx-flash.c to jedec_probe and have a try at this.

no luck :(
Is it necesary changing CFE ?

Sagem CFE version: 3.13.5                                  
Build Date: Mon May 14 17:56:09 CST 2007 (shenmc@svr1.sagemharbournetworks.com)
Copyright (C) 2005-2006 Sagem communication.

Boot Address 0xbfc00000

Initializing Arena.
Initializing Devices.
Parallel flash device: name SST39VF3201, id 0x235b, size 4096KB
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
CPU type 0x29107: 256MHz, Bus: 128MHz, Ref: 32MHz
Total memory: 8388608 bytes (8MB)

Total memory used by CFE:  0x80401000 - 0x80528470 (1209456)
Initialized Data:          0x8041EAE0 - 0x80421AB0 (12240)
BSS Area:                  0x80421AB0 - 0x80426470 (18880)
Local Heap:                0x80426470 - 0x80526470 (1048576)
Stack Area:                0x80526470 - 0x80528470 (8192)
Text (code) segment:       0x80401000 - 0x8041EAD8 (121560)
Boot area (physical):      0x00529000 - 0x00569000
Relocation Factor:         I:00000000 - D:00000000

Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Board IP address                  : 192.168.1.1:ffffff00  
Host IP address                   : 192.168.1.100  
Gateway IP address                :   
Run from flash/host (f/h)         : f  
Default host run file name        : vmlinux  
Default host flash file name      : bcm963xx_fs_kernel  
Boot delay (0-9 seconds)          : 1  
Board Id Name                     : F@ST2404  
Psi size in KB                    : 24
Number of MAC Addresses (1-32)    : 11  
Base MAC Address                  : 00:19:4b:b4:dd:aa  
Ethernet PHY Type                 : Internal
Memory size in MB                 : 16
CMT Thread Number                 : 0
Customer Name                     :SAGM(default)

*** Press any key to stop auto run (1 seconds) ***
Auto run second count down: 0
Code Address: 0x80010000, Entry Address: 0x80010000
Decompression OK!
Entry at 0x80010000
Closing network.
Starting program at 0x80010000
Linux version 2.6.30.9 (vukits@CHATARRA) (collect2: ld returned 1 exit status) #1 Mon Nov 16 
13:9
Detected Broadcom 0x6348 CPU revision b0
CPU frequency is 256000000 Hz
8MB of RAM installed
registering 37 GPIOs
board_bcm963xx: CFE version: 0.51.46-49.51
console [early0] enabled
CPU revision is: 00029107 (Broadcom BCM6348)
board_bcm963xx: board name: F@ST2404
Determined physical RAM map:
 memory: 00800000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00000800
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00000800
Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 2032
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd 
console=ttyS0,115200
Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
NR_IRQS:128
PID hash table entries: 32 (order: 5, 128 bytes)
Dentry cache hash table entries: 1024 (order: 0, 4096 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Memory: 5144k/8192k available (2073k kernel code, 3048k reserved, 428k data, 132k init, 0k 
highm)
Calibrating delay loop... 254.97 BogoMIPS (lpj=509952)
Mount-cache hash table entries: 512
net_namespace: 532 bytes
NET: Registered protocol family 16
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0
NET: Registered protocol family 2
���j�t�ꇏH��~
M�XN/P��J��.�L, and tagid bcram.
bcm963xx_flash: Partition 0 is CFE offset 0 and length 2000
bcm963xx_flash: Partition 1 is kernel offset c0844324 and length 804442cc
bcm963xx_flash: Partition 2 is nvram offset 1fe000 and length 2000
bcm963xx_flash: Partition 3 is linux offset 2000 and length 1fe000
bcm963xx_flash: Spare partition is 80366000 offset and length 7fe98000
Creating 4 MTD partitions on "bcm963xx":
0x000000000000-0x000000002000 : "CFE"
0x0000c0844324-0x000140c885f0 : "kernel"
mtd: partition "kernel" is out of reach -- disabled
0x0000001fe000-0x000000200000 : "nvram"
0x000000002000-0x000000200000 : "linux"
bcm63xx_wdt started, timer margin: 30 sec
Registered led device: <NULL>
leds-gpio: probe of leds-gpio.0 failed with error -16
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
jffs2: Too few erase blocks (1)
List of all partitions:
1f00               8 mtdblock0 (driver?)
1f02               8 mtdblock2 (driver?)
1f03            2040 mtdblock3 (driver?)
No filesystem could mount root, tried:  squashfs jffs2
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(31,2)

comment:4 follow-up: Changed 8 years ago by florian

I think you need a totally different MTD partition layout for this board, try to see how they defined the partitions in the original firmware.

comment:5 in reply to: ↑ 4 Changed 8 years ago by vukitz@…

Replying to florian:

I think you need a totally different MTD partition layout for this board, try to see how they defined the partitions in the original firmware.

thx, florian

I must redefine layout in CFE or in some .c file of the firmware source? (i'll search for it in the forums)

original firmware serial output:

Sagem CFE version: 3.13.5                          
Build Date: Mon May 14 17:56:09 CST 2007 
(shenmc@svr1.sagemharbournetworks.com)
Copyright (C) 2005-2006 Sagem communication.

Boot Address 0xbfc00000

Initializing Arena.
Initializing Devices.
Parallel flash device: name SST39VF3201, id 0x235b, size 4096KB
Enter readNvramData(CFE)
Enter kerSysNvRamGet(CFE)
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404  
Enter readNvramData(CFE)                                                        
Enter kerSysNvRamGet(CFE)                                                       
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404             
Enter readNvramData(CFE)                                                        
Enter kerSysNvRamGet(CFE)                                                       
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404             
CPU type 0x29107: 256MHz, Bus: 128MHz, Ref: 32MHz                               
Total memory: 16777216 bytes (16MB)                                             
                                                                                
Total memory used by CFE:  0x80401000 - 0x80528470 (1209456)                    
Initialized Data:          0x8041EAE0 - 0x80421AB0 (12240)                      
BSS Area:                  0x80421AB0 - 0x80426470 (18880)                      
Local Heap:                0x80426470 - 0x80526470 (1048576)                    
Stack Area:                0x80526470 - 0x80528470 (8192)                       
Text (code) segment:       0x80401000 - 0x8041EAD8 (121560)                     
Boot area (physical):      0x00529000 - 0x00569000                              
Relocation Factor:         I:00000000 - D:00000000                              
                                                                                
Enter readNvramData(CFE)                                                        
Enter kerSysNvRamGet(CFE)                                                       
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404             
Enter readNvramData(CFE)                                                        
Enter kerSysNvRamGet(CFE)                                                       
kerSysNvRamGet(CFE) Mac address:00:19:4b:b4:dd:aa, BoardId=F@ST2404             
Board IP address                  : 192.168.1.1:ffffff00                        
Host IP address                   : 192.168.1.28                                
Gateway IP address                :                                             
Run from flash/host (f/h)         : f                                           
Default host run file name        : vmlinux                                     
Default host flash file name      : bcm963xx_fs_kernel                          
Boot delay (0-9 seconds)          : 1                                           
Board Id Name                     : F@ST2404                                    
Psi size in KB                    : 24                                          
Number of MAC Addresses (1-32)    : 11                                          
Base MAC Address                  : 00:19:4b:b4:dd:aa                           
Ethernet PHY Type                 : Internal                                    
Memory size in MB                 : 16                                          
CMT Thread Number                 : 0                                           
Customer Name                     :SAGM(default)                                
                                                                                
*** Press any key to stop auto run (1 seconds) ***                              
Auto run second count down: 0                                                   
Code Address: 0x80010000, Entry Address: 0x801c6018                             
Decompression OK!                                                               
Entry at 0x801c6018                                                             
Closing network.                                                                
Starting program at 0x801c6018                                                  
Linux version 2.6.8.1 (chenc@svr1.sagem-szn.com) (gcc version 3.4.2) #1 
Wed Jun8
Parallel flash device: name SST39VF3201, id 0x235b, size 4096KB                 
Total Flash size: 4096K with 1024 sectors                                       
fInfo.flash_scratch_pad_start_blk = 1016                                        
fInfo.flash_scratch_pad_number_blk = 2                                          
fInfo.flash_scratch_pad_length = 0x2000                                         
fInfo.flash_scratch_pad_blk_offset = 0x0                                        
                                                                                
fInfo.flash_nvram_start_blk = 0                                                 
fInfo.flash_nvram_blk_offset = 0x580                                            
fInfo.flash_nvram_number_blk = 1                                                
                                                                                
fInfo.flash_persistent_start_blk = 1018                                         
fInfo.flash_persistent_blk_offset = 0x0                                         
fInfo.flash_persistent_number_blk = 6                                           
                                                                                
backup_start_blk = 1010                                                         
backup_blk_offset = 0x0                                                         
backup_number_blk = 6                                                           
backup_length = 24576                                                           
                                                                                
psi startAddr = bfffa000                                                        
sp startAddr = bfff8000                                                         
backup startAddr = bfff2000                                                     
                                                                                
F@ST2404 prom init                                                              
CPU revision is: 00029107                                                       
Determined physical RAM map:                                                    
 memory: 00fa0000 @ 00000000 (usable)                                           
On node 0 totalpages: 4000                                                      
  DMA zone: 4000 pages, LIFO batch:1                                            
  Normal zone: 0 pages, LIFO batch:1                                            
  HighMem zone: 0 pages, LIFO batch:1                                           
Built 1 zonelists                                                               
Kernel command line: root=31:0 ro noinitrd console=ttyS0,115200                 
brcm mips: enabling icache and dcache...                                        
Primary instruction cache 16kB, physically tagged, 2-way, linesize 16 
bytes.    
Primary data cache 8kB 2-way, linesize 16 bytes.                                
PID hash table entries: 64 (order 6: 512 bytes)                                 
Using 128.000 MHz high precision timer.                                         
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)                   
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)                     
Memory: 13816k/16000k available (1515k kernel code, 2164k reserved, 233k 
data, )
Calibrating delay loop... 254.77 BogoMIPS                                       
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)                      
Checking for 'wait' instruction...  unavailable.                                
NET: Registered protocol family 16                                              
Can't analyze prologue code at 80189494                                         
usbcore: registered new driver hub                                              
Initializing Cryptographic API                                                  
PPP generic driver version 2.4.2                                                
NET: Registered protocol family 24                                              
Using noop io scheduler                                                         
bcm963xx_mtd driver v1.0                                                        
ohci_hcd: 2004 Feb 02 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)        
ohci_hcd: block sizes: ed 64 td 64                                              
PCI: Enabling device 0000:00:09.0 (0000 -> 0002)                                
ohci_hcd 0000:00:09.0: OHCI Host Controller                                     
PCI: Setting latency timer of device 0000:00:09.0 to 64                         
ohci_hcd 0000:00:09.0: irq 20, pci mem c0000b00                                 
ohci_hcd 0000:00:09.0: new USB bus registered, assigned bus number 1            
hub 1-0:1.0: USB hub found                                                      
hub 1-0:1.0: 2 ports detected                                                   
usbcore: registered new driver usblp                                            
drivers/usb/class/usblp.c: v0.13: USB Printer Device Class driver               
brcmboard: brcm_board_init entry                                                
RestoreMacFilter: Button GPIO 0x21 is enabled                                   
RestoreMacFilter: Button Interrupt 0x1 is enabled                               
RestoreMacFilter: Interrupt mapping OK                                          
Serial: BCM63XX driver $Revision: 1.3 $                                         
ttyS0 at MMIO 0xfffe0300 (irq = 10) is a BCM63XX                                
NET: Registered protocol family 2                                               
IP: routing cache hash table of 512 buckets, 4Kbytes                            
********* ip_rt_init ************                                               
sizeof(struct rtable)=244                                                       
ip_rt_max_size=2048, rt_hash_mask=511, ipv4_dst_ops.gc_thresh=512,              
ip_rt_gc_interval=12000, rt_secret_rebuild=120000                               
TCP: Hash tables configured (established 512 bind 1024)                         
Initializing IPsec netlink socket                                               
NET: Registered protocol family 1                                               
NET: Registered protocol family 17                                              
NET: Registered protocol family 15                                              
Ebtables v2.0 registered                                                        
NET: Registered protocol family 8                                               
NET: Registered protocol family 20                                              
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>                   
All bugs added by David S. Miller <davem@redhat.com>                            
VFS: Mounted root (squashfs filesystem) readonly.                               
Freeing unused kernel memory: 72k freed                                         
init started:  BusyBox v1.00 (2008.06.25-10:09+0000) multi-call binary          
Algorithmics/MIPS FPU Emulator v1.5                                             
mount: Mounting tmpfs on /tmp failed: No such file                              
                                                                                
BusyBox v1.00 (2008.06.25-10:09+0000) Built-in shell (msh)                      
Enter 'help' for a list of built-in commands.                                   
                                                                                
                                                                                
Loading drivers and kernel modules...                                           
                                                                                
atmapi: module license 'Proprietary' taints kernel.                             
adsl: adsl_init entry                                                           
blaadd: blaa_detect entry                                                       
Broadcom BCMPROCFS v1.0 initialized                                             
Broadcom BCM6348B0 Ethernet Network Device v0.3 Jun 25 2008 18:01:31            
Config Ethernet Switch Through SPI Slave Select 0                               
dgasp: kerSysRegisterDyingGaspHandler: eth0 registered                          
eth0: MAC Address: 00:19:4B:B4:DD:AA                                            
Cfm wathcer has been setup!                                                     
PCI: Setting latency timer of device 0000:00:01.0 to 64                         
PCI: Enabling device 0000:00:01.0 (0004 -> 0006)                                
wl: srom not detected, using main memory mapped srom info (wombo board)         
wl0: wlc_attach: use mac addr from the system pool by id: 0x776c0000            
wl0: MAC Address: 00:19:4B:B4:DD:AB                                             
wl0: Broadcom BCM4318 802.11 Wireless Controller 4.150.10.15.cpe2.2             
dgasp: kerSysRegisterDyingGaspHandler: wl0 registered                           
eth0 Link UP.                                                                   
Cfm has been started to initiate!                                               
Read Flash: part=[PERSISTENT]                                                   
Read Flash: part=[PERSISTENT]                                                   
PSI has been initiated successfully!                                            
BcmAdsl_Initialize=0xC006D928, g_pFnNotifyCallback=0xC0088D14                   
AnnexCParam=0x7FFF7EB8 AnnexAParam=0x00000980 adsl2=0x00000000                  
pSdramPHY=0xA0FFFFF8, 0x28041 0x9689ACE8                                        
AdslCoreHwReset:  AdslOemDataAddr = 0xA0FFBB64                                  
AnnexCParam=0x7FFF7EB8 AnnexAParam=0x00000980 adsl2=0x00000000                  
Read Flash: part=[FACTORYINFO]                                                  
Enter kerSysFactoryInfoGet: strLen[256],offset[0]                               
FactoryInfo[1-10]=[����������]                                                  
ATM proc init !!!                                                               
ATM Config Management initiated successfully!                                   
Security configuration management initiated successfully!                       
                                                                                
==>   Software Version: 3.24a4  <==                                             
                                                                                
device eth0 entered promiscuous mode                                            
br0: port 1(eth0) entering learning state                                       
br0: topology change detected, propagating                                      
br0: port 1(eth0) entering forwarding state                                     
Setting SSID "Sagem"                                                            
Setting SSID "Guest"                                                            
Setting country code using abbreviation: "FR"                                   
wlctl band b run 0 time!                                                        
wlctl band b run 0 time!                                                        
channel 11 selected                                                             
device wl0 entered promiscuous mode                                             
br0: port 2(wl0) entering learning state                                        
br0: topology change detected, propagating                                      
br0: port 2(wl0) entering forwarding state                                      
device wl0.1 entered promiscuous mode                                           
br0: port 3(wl0.1) entering learning state                                      
br0: topology change detected, propagating                                      
br0: port 3(wl0.1) entering forwarding state                                    
EngDbg:- PSI Retrieve Status for PortMirrorStatus = 3                           
EngDbg:- In Effect Port Mirror Cfg                                              
ENGDBG :- In Effect Port Mirroring, status = 0   count = 0                      
Read Flash: part=[SCRATCH_PAD]                                                  
Read Flash: part=[SCRATCH_PAD]                                                  
Network initiated successfully!                                                 
Web Server initiated successfully!                                              
Read Flash: part=[SCRATCH_PAD]                                                  
Cfm initiated successfully!                                                     
No POSTINIT command need excuting                                               
Admin URL is blank, then don't start RemoteAutoUpgradeThread                    
========>Load the wireless_reload_monitor thread<=======                        
nat_cache: Unknown symbol invert_tuplepr                                        
nat_cache: Unknown symbol ip_ct_find_helper                                     
nat_cache: Unknown symbol ip_ct_refresh                                         
insmod: cannot insert 
`/lib/modules/2.6.8.1/kernel/net/ipv4/netfilter/broadcom/s
--->syslog_options_up: blocksite unloged!                                       
nat_cache: Unknown symbol invert_tuplepr                                        
nat_cache: Unknown symbol ip_ct_find_helper                                     
nat_cache: Unknown symbol ip_ct_refresh                                         
insmod: cannot insert 
`/lib/modules/2.6.8.1/kernel/net/ipv4/netfilter/broadcom/s
Read Flash: part=[FACTORYINFO]                                                  
Enter kerSysFactoryInfoGet: strLen[1024],offset[0]                              
FactoryInfo[1-10]=[����������]

comment:6 follow-up: Changed 8 years ago by florian

Could you show the content of cat /proc/mtd on the original firmware? Thanks.

comment:7 in reply to: ↑ 6 Changed 8 years ago by vukitz@…

Replying to florian:

Could you show the content of cat /proc/mtd on the original firmware? Thanks.

# cat /proc/mtd                                                                 
dev:    size   erasesize  name                                                  
mtd0: 002d1000 00001000 "Physically mapped flash"

comment:8 follow-up: Changed 8 years ago by florian

We probably need a totally different partition layout on that board, have you tried the bcmram images?

comment:9 in reply to: ↑ 8 Changed 8 years ago by vukitz@…

Replying to florian:

We probably need a totally different partition layout on that board, have you tried the bcmram images?

which images??? :D

comment:10 Changed 6 years ago by florian

  • Resolution set to no_response
  • Status changed from new to closed

comment:11 Changed 6 years ago by robster400@…

  • Resolution no_response deleted
  • Status changed from closed to reopened

Maybe some useful info to help progress this issue?

http://code.google.com/p/sky-router-tool/wiki/SagemFAST2504

comment:12 Changed 6 years ago by bsmail_f1@…

Try in target/linux/brcm63xx/files/drivers/mtd/maps/bcm963xx-flash.c add string
master->erasesize = 0x10000; F@ST2404

	/* Get the tag */
	master->erasesize = 0x10000; //F@ST2404
	ret = master->read(master, master->erasesize, sizeof(struct bcm_tag),
							&retlen, (void *)buf);
	if (retlen != sizeof(struct bcm_tag)) {
		vfree(buf);
		return -EIO;
	}

comment:13 Changed 6 years ago by florian

  • Resolution set to wontfix
  • Status changed from reopened to closed

comment:14 Changed 5 years ago by anonymous

  • Resolution wontfix deleted
  • Status changed from closed to reopened

comment:15 Changed 5 years ago by moimem <maracyly@…>

sagem f@st2404 (status:trunk) & f@st2604(status:wip) rooters use the SST39VF3201 chip and both are not yet supported by openwrt
SST39VF[16/32]0[1/2] chips are not fully compiliant to the CFI standards
SST39VF3201 chips use the 0x0701 commands set that seems to be compatible with ADM ones
we need to set the comdset to cfi_cmdset_0002
we need also to change the unlock adresses to 0x5555 & 0x2AAA
some useful info here http://patchwork.ozlabs.org/patch/48961/
I keep testing some adjustments but i cant get a serial console for debugging because i dont have a TTL3V3_RS232 cable but if i get it to work i will go back with a clean patch

comment:16 Changed 5 years ago by moimem <maracyly@…>

EDIT:
sagem f@st2604 use exclusivly SST39VF3201 chip
sagem f@st2404 use 2 different chips (SST39VF3201/A29L320ATV-70F)
I guess that routers equiped with A29L320ATV-70F support openwrt that's not the case of the ones equiped with the SST39VF3201 chip

http://img823.imageshack.us/img823/222/sagem2404.jpg

comment:17 Changed 4 years ago by ppvazquezfer@…

This ticket can be closed because the Sagem F@st2404 with SST39VF3201 flash chip is supported in openwrt.
http://wiki.openwrt.org/toh/sagem/fast2404

comment:18 Changed 4 years ago by tripolar

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:19 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.